aboutsummaryrefslogtreecommitdiffstats
path: root/testing/perl-mail-dkim/APKBUILD
diff options
context:
space:
mode:
authorLinux User <larena@df1844j.ita.wtbts.net>2009-06-05 13:56:34 +0000
committerLinux User <larena@df1844j.ita.wtbts.net>2009-06-05 13:56:34 +0000
commit081e788cdc76f7ea8eb95dc82d76a3475cdfa69f (patch)
tree8350f3585e7f922949b0d5b3d2796fdd7ebb98c1 /testing/perl-mail-dkim/APKBUILD
parent9587f9416dd89a7be49e76ff13db31b2c71f75b8 (diff)
downloadaports-081e788cdc76f7ea8eb95dc82d76a3475cdfa69f.tar.gz
aports-081e788cdc76f7ea8eb95dc82d76a3475cdfa69f.tar.bz2
aports-081e788cdc76f7ea8eb95dc82d76a3475cdfa69f.tar.xz
testing/perl-mail-dkim: new aport
Diffstat (limited to 'testing/perl-mail-dkim/APKBUILD')
-rw-r--r--testing/perl-mail-dkim/APKBUILD24
1 files changed, 24 insertions, 0 deletions
diff --git a/testing/perl-mail-dkim/APKBUILD b/testing/perl-mail-dkim/APKBUILD
new file mode 100644
index 0000000000..1c2ac23923
--- /dev/null
+++ b/testing/perl-mail-dkim/APKBUILD
@@ -0,0 +1,24 @@
+# Contributor: Leonardo Arena <rnalrd@gmail.com>
+# Maintainer: Leonardo Arena <rnalrd@gmail.com>
+pkgname=perl-mail-dkim
+_realname=Mail-DKIM
+pkgver=0.36
+pkgrel=0
+pkgdesc="Signs/verifies Internet mail with DKIM/DomainKey signatures"
+url="http://search.cpan.org/~jaslong/Mail-DKIM-0.36/"
+license="unknown"
+depends="perl"
+makedepends="perl-dev"
+install=
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/J/JA/JASLONG/$_realname-$pkgver.tar.gz"
+
+build() {
+ cd "$srcdir/$_realname-$pkgver"
+
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
+ make || return 1
+ make DESTDIR="$pkgdir" install
+}
+
+md5sums="b6681a7b3cc21c0976205d4ad616455d Mail-DKIM-0.36.tar.gz"